/**
 * 密码 6~128位并且大小写字母、数字、特殊字符三项中有两项
 */
export function validPwd(no) {
    const rgx = /^(?![a-zA-Z]+$)(?![A-Z0-9]+$)(?![A-Z\W_!@#$%^&*`~()-+=]+$)(?![a-z0-9]+$)(?![a-z\W_!@#$%^&*`~()-+=]+$)(?![0-9\W_!@#$%^&*`~()-+=]+$)[a-zA-Z0-9\W_!@#$%^&*`~()-+=]{6,128}$/;
    return rgx.test(no);
}
/**
 * 国内手机校验
 */
export function validPhone(no) {
    const rgx = /^(?:(?:\+|00)86)?1(?:(?:3[\d])|(?:4[5-79])|(?:5[0-35-9])|(?:6[5-7])|(?:7[0-8])|(?:8[\d])|(?:9[1589]))\d{8}$/
    return rgx.test(no);
}

/**
 * 手机号-国外手机号
 */
export function foreignPhone(no) {
    const rgx = /^[0-9]*$/;
    return rgx.test(no);
}