(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["firefly-user-info"] = factory();
	else
		root["firefly-user-info"] = factory();
})(window, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 436);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return normalizeComponent; });
/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file (except for modules).
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

function normalizeComponent(
  scriptExports,
  render,
  staticRenderFns,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier /* server only */,
  shadowMode /* vue-cli only */
) {
  // Vue.extend constructor export interop
  var options =
    typeof scriptExports === 'function' ? scriptExports.options : scriptExports

  // render functions
  if (render) {
    options.render = render
    options.staticRenderFns = staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = 'data-v-' + scopeId
  }

  var hook
  if (moduleIdentifier) {
    // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = shadowMode
      ? function () {
          injectStyles.call(
            this,
            (options.functional ? this.parent : this).$root.$options.shadowRoot
          )
        }
      : injectStyles
  }

  if (hook) {
    if (options.functional) {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functional component in vue file
      var originalRender = options.render
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context)
        return originalRender(h, context)
      }
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook]
    }
  }

  return {
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 436:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
// ESM COMPAT FLAG
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/vue-loader/lib/loaders/templateLoader.js??ref--5!./node_modules/vue-loader/lib??vue-loader-options!./components/lib/fireflyUserInfo/src/main.vue?vue&type=template&id=44d2cbbd&scoped=true&
var render = function render() {
  var _vm = this,
    _c = _vm._self._c
  return _c(
    "div",
    { staticClass: "firefly_user_info" },
    [
      _vm._t("default"),
      _vm._v(" "),
      _c("div", { ref: "userInfoDom", staticClass: "userinfo_container" }, [
        _c("div", { staticClass: "username" }, [
          _vm._v(
            "\n      " +
              _vm._s(_vm.formatUserName(_vm.userInfo[_vm.username])) +
              "\n    "
          ),
        ]),
        _vm._v(" "),
        _c("div", { staticClass: "compony_container" }, [
          _c("div", { staticClass: "compony_name" }, [
            _vm._v(
              "\n        " +
                _vm._s(
                  _vm.userInfo.tenantName
                    ? _vm.userInfo.tenantName
                    : "暂未加入任何企业"
                ) +
                "\n      "
            ),
          ]),
          _vm._v(" "),
          _c("span", { staticClass: "user_type" }, [
            _vm._v(
              _vm._s(_vm.userInfo.isSuper != 1 ? "普通用户" : "超级管理员")
            ),
          ]),
        ]),
        _vm._v(" "),
        _vm.dropdown
          ? _c("i", {
              class: ["el-icon-caret-bottom", { no_drop: _vm.isDropdown }],
            })
          : _vm._e(),
      ]),
      _vm._v(" "),
      _vm.isDropdown
        ? _c(
            "div",
            { ref: "chooseTenantDom", staticClass: "dropdown_container" },
            [
              _c("div", { staticClass: "dropdown_header" }, [
                _c("div", { staticClass: "username" }, [
                  _vm._v(
                    "\n        " +
                      _vm._s(_vm.formatUserName(_vm.userInfo[_vm.username])) +
                      "\n      "
                  ),
                ]),
                _vm._v(" "),
                _c("span", { staticClass: "username_text" }, [
                  _vm._v(_vm._s(_vm.userInfo[_vm.username])),
                ]),
                _vm._v(" "),
                _c("div", { staticClass: "compony_name" }, [
                  _vm._v(
                    "\n        " +
                      _vm._s(
                        _vm.userInfo.tenantName
                          ? _vm.userInfo.tenantName
                          : "暂未加入任何企业"
                      ) +
                      "\n      "
                  ),
                ]),
              ]),
              _vm._v(" "),
              _c("div", { staticClass: "select_container" }, [
                _c(
                  "div",
                  {
                    staticClass: "select_item",
                    on: { click: _vm.toUserCenter },
                  },
                  [
                    _c("span", { staticClass: "base_text" }, [
                      _vm._v("个人中心"),
                    ]),
                    _vm._v(" "),
                    _c("i", { staticClass: "el-icon-arrow-right" }),
                  ]
                ),
                _vm._v(" "),
                _vm.tenantList.length > 0
                  ? _c(
                      "div",
                      {
                        staticClass: "select_item change_compony",
                        on: {
                          mouseenter: function ($event) {
                            _vm.showTenantList = true
                          },
                          mouseleave: _vm.mouseLeave,
                        },
                      },
                      [
                        _c("span", { staticClass: "base_text" }, [
                          _vm._v("切换企业"),
                        ]),
                        _vm._v(" "),
                        _c("i", { staticClass: "el-icon-arrow-right" }),
                      ]
                    )
                  : _vm._e(),
              ]),
              _vm._v(" "),
              _c("div", { staticClass: "login_out_container" }, [
                _c(
                  "div",
                  { staticClass: "login_out", on: { click: _vm.logout } },
                  [_vm._v("退出登录")]
                ),
              ]),
              _vm._v(" "),
              _c(
                "div",
                {
                  class: ["choose_tenant", { show_tenant: _vm.showTenantList }],
                  on: {
                    mouseenter: _vm.enterTenant,
                    mouseleave: _vm.mouseLeave,
                  },
                },
                _vm._l(_vm.tenantList, function (tenant) {
                  return _c(
                    "div",
                    {
                      key: tenant.tenantId,
                      staticClass: "tenant_item",
                      on: {
                        click: function ($event) {
                          return _vm.changeTenantId(tenant.tenantId)
                        },
                      },
                    },
                    [
                      _c("div", { staticClass: "tenant_name" }, [
                        _vm._v(_vm._s(tenant.tenantName.slice(0, 1))),
                      ]),
                      _vm._v(" "),
                      _c("div", { staticClass: "compony_container" }, [
                        _c(
                          "div",
                          {
                            class: [
                              "compony_name",
                              "other_compony_name",
                              { active_name: _vm.tenantId == tenant.tenantId },
                            ],
                          },
                          [
                            _vm._v(
                              "\n            " +
                                _vm._s(tenant.tenantName) +
                                "\n          "
                            ),
                          ]
                        ),
                      ]),
                      _vm._v(" "),
                      _vm.tenantId == tenant.tenantId
                        ? _c("i", { staticClass: "el-icon-check" })
                        : _vm._e(),
                    ]
                  )
                }),
                0
              ),
            ]
          )
        : _vm._e(),
    ],
    2
  )
}
var staticRenderFns = []
render._withStripped = true


// CONCATENATED MODULE: ./components/lib/fireflyUserInfo/src/main.vue?vue&type=template&id=44d2cbbd&scoped=true&

// CONCATENATED MODULE: ./node_modules/vue-loader/lib??vue-loader-options!./components/lib/fireflyUserInfo/src/main.vue?vue&type=script&lang=js&

/* harmony default export */ var mainvue_type_script_lang_js_ = ({
  name: 'fireflyUserInfo',
  props: {
    userInfo: {
      type: Object,
      required: true,
      default: () => {
        return {};
      }
    },

    username: {
      type: String,
      default: 'nickName'
    },

    tenantList: {
      type: Array,
      required: true,
      default: () => []
    },

    tenantId: {
      type: [Number, String],
      required: true
    },

    dropdown: {
      type: Boolean,
      default: true
    }
  },

  data() {
    return {
      isDropdown: false,
      showTenantList: false,
      timer: null
    };
  },

  mounted() {
    document.addEventListener(
      'click',
      e => {
        if (!this.dropdown) return;
        const userInfoDom = this.$refs.userInfoDom;
        const chooseTenantDom = this.$refs.chooseTenantDom;
        const isSelf = this.$refs.userInfoDom && this.$refs.userInfoDom.contains(e.target);
        const isChoose = this.$refs.chooseTenantDom && this.$refs.chooseTenantDom.contains(e.target);
        if (userInfoDom && !chooseTenantDom && isSelf) {
          this.isDropdown = true;
        }
        if (userInfoDom && chooseTenantDom && !isChoose) {
          this.isDropdown = false;
        }
      },
      true
    );
  },

  methods: {
    mouseLeave() {
      this.timer = setTimeout(() => {
        this.showTenantList = false;
      }, 200);
    },

    enterTenant() {
      clearTimeout(this.timer);
    },

    formatUserName(username) {
      if (!username) return '暂无';
      // if (this.userInfo.isSuper == 1) return '超管';
      return username.charAt(username.length - 2) + username.charAt(username.length - 1);
    },

    // 切换租户
    changeTenantId(tenantId) {
      this.$emit('changeTenantId', tenantId);
    },

    // 退出登录
    logout() {
      this.$emit('logout');
    },

    // toUserCenter
    toUserCenter() {
      this.$emit('toUserCenter');
    }
  }
});

// CONCATENATED MODULE: ./components/lib/fireflyUserInfo/src/main.vue?vue&type=script&lang=js&
 /* harmony default export */ var src_mainvue_type_script_lang_js_ = (mainvue_type_script_lang_js_); 
// CONCATENATED MODULE: ./node_modules/mini-css-extract-plugin/dist/loader.js!./node_modules/css-loader/dist/cjs.js!./node_modules/vue-loader/lib/loaders/stylePostLoader.js!./node_modules/postcss-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./node_modules/vue-loader/lib??vue-loader-options!./components/lib/fireflyUserInfo/src/main.vue?vue&type=style&index=0&id=44d2cbbd&prod&lang=scss&scoped=true&
// extracted by mini-css-extract-plugin

// CONCATENATED MODULE: ./components/lib/fireflyUserInfo/src/main.vue?vue&type=style&index=0&id=44d2cbbd&prod&lang=scss&scoped=true&

// EXTERNAL MODULE: ./node_modules/vue-loader/lib/runtime/componentNormalizer.js
var componentNormalizer = __webpack_require__(0);

// CONCATENATED MODULE: ./components/lib/fireflyUserInfo/src/main.vue






/* normalize component */

var component = Object(componentNormalizer["a" /* default */])(
  src_mainvue_type_script_lang_js_,
  render,
  staticRenderFns,
  false,
  null,
  "44d2cbbd",
  null
  
)

/* harmony default export */ var main = (component.exports);
// CONCATENATED MODULE: ./components/lib/fireflyUserInfo/index.js


// eslint-disable-next-line func-names
main.install = function (Vue) {
    Vue.component(main.name, main)
}

/* harmony default export */ var fireflyUserInfo = __webpack_exports__["default"] = (main);

/***/ })

/******/ })["default"];
});